FruxonDocs
ApiSkills

Updates an existing skill.

PUT
/v1/tenants/{tenant}/skills/{skill}

Path Parameters

skill*string

The unique identifier of the skill to update.

tenant*string

The tenant identifier

The updated skill definition.

displayName?string|null
description?string|null
instructions?string|null
tools?|null
resources?|null
[key: string]?never

Response Body

curl -X PUT "https://api.fruxon.com/v1/tenants/string/skills/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "string",
  "displayName": "string",
  "description": "string",
  "instructions": "string",
  "tools": [
    {
      "integrationId": "string",
      "id": "string"
    }
  ],
  "resources": [
    {
      "assetId": "string",
      "description": "string",
      "vectorized": false
    }
  ],
  "type": 0,
  "createdAt": 0,
  "modifiedAt": 0
}
Empty
Empty